# WOK
TKWOK
WOKBuilder

# WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity Class Reference

`#include <WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity.hxx>`

Inheritance diagram for WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity ()
Standard_EXPORT | WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity (const WOKBuilder_DataMapOfHAsciiStringOfMSEntity &aMap)
Standard_EXPORT void | Initialize (const WOKBuilder_DataMapOfHAsciiStringOfMSEntity &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_WOKBuilder_MSEntity & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity::WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity | ( |  | ) |

Standard_EXPORT WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity::WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity | ( | const WOKBuilder_DataMapOfHAsciiStringOfMSEntity & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity::Hashcode | ( |  | ) | const

Standard_EXPORT void WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity::Initialize | ( | const WOKBuilder_DataMapOfHAsciiStringOfMSEntity & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity::Key | ( |  | ) | const

void WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const Handle_WOKBuilder_MSEntity& WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity.hxx